<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1MocoTrajectory.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenSim::MocoTrajectory Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a8863e7d81439917f1784b9c32e62c386">clone</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#aa3042565d8065c938bd08d0ef724f178">compareContinuousVariablesRMS</a>(const MocoTrajectory &amp;other, std::map&lt; std::string, std::vector&lt; std::string &gt;&gt; columnsToUse={}) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a84c0d548a749f3e07abb8337cfa65ca6">compareContinuousVariablesRMSPattern</a>(const MocoTrajectory &amp;other, std::string columnType, std::string pattern) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a132db1444cda6729e92f8c30875da096">compareParametersRMS</a>(const MocoTrajectory &amp;other, std::vector&lt; std::string &gt; parameterNames={}) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#ab60e38d6367fb934b2daed45ad23dbc4">createFromStatesControlsTables</a>(const MocoProblemRep &amp;, const TimeSeriesTable &amp;statesTrajectory, const TimeSeriesTable &amp;controlsTrajectory)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a16ea3024cd51fb4330f64dacba3ae22b">empty</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a9194a6266900d13acf9c7c4a8a7abb23">ensureUnsealed</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a37602469b2c484d5ac61e0f524ead9bc">exportToAccelerationsTable</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a74aa130e757fcef4c1a17c2a3e64f727">exportToControlsTable</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#af9f6a683f2a473ed9c30e002192174f2">exportToDerivativesTable</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#ab7e4d61998f149520df2dc4ed3919913">exportToDerivativesWithoutAccelerationsTable</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#ad3812dd8aedae575905b6cff703513c4">exportToMultipliersTable</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a496af58acbced21b4096769d4c508ae6">exportToSpeedsTable</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a0399614d7a13743b0290136c0f14e020">exportToStatesTable</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a88a7e55eb03612bea129c2f10a20a55c">exportToStatesTrajectory</a>(const MocoProblem &amp;) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a8280a1ae8a9c5076642e9f5c7f669d34">exportToStatesTrajectory</a>(const Model &amp;) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a0cb24bb20a00800cc1d9b337bc0a87b7">exportToValuesTable</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#aeb1c3b557c6a1a031cb86c3127eabcf2">generateAccelerationsFromSpeeds</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a31a3508f6a4955f716f3e5de7682eb37">generateAccelerationsFromValues</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#ab139f149513977413d0f2f6b3271f70c">generateSpeedsFromValues</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a112490df93e713acc1526b8bdc4d58ef">getAccelerationNames</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a63f5632ca39cf71ea77f421d3da781f5">getAccelerationsTrajectory</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a834174c7d94bdf17039e1fc9688c6e99">getControl</a>(const std::string &amp;name) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a02d7b0dc773e9df8305c14ec08b96c15">getControlNames</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a5161ebabc10c4cccc7ab0cffc8295061">getControlsTrajectory</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#ac7589c9394beafa14e227f7a6802890d">getDerivative</a>(const std::string &amp;name) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#ac9157bd93e1fe5b47b0cb211b0d38064">getDerivativeNames</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#af272f5d7d797b9a3d3c635a7a9a71938">getDerivativeNamesWithoutAccelerations</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#aed744712f193e5d5cf5c85fc202e0c4c">getDerivativesTrajectory</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#af8be29b02782437245e35961da64701a">getDerivativesWithoutAccelerationsTrajectory</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#aa08f9bc926d02ee85950b61973031114">getFinalTime</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a10cabc4fac61281dbb818f3487392ff0">getInitialTime</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#abd76d2b90179ce058207c7aa2ef7b94a">getMultiplier</a>(const std::string &amp;name) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#ae9331739aaa11de09311b321d04c12de">getMultiplierNames</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a79b15c15bf196c3b5fa3233a73f856c1">getMultipliersTrajectory</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a9839ff97d838eb452fe73598cfe258e6">getNumAccelerations</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a87c88ac3fe4abf4abf0477c6b7a573e4">getNumControls</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#abf699304f573d1f1b4295935193f77db">getNumDerivatives</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#ad4d3e16b056fb9eabf09d83736947991">getNumDerivativesWithoutAccelerations</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#ab777aaed9b904454e3ebc5c0067a0e76">getNumMultipliers</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a60e8bd57886777ad6632a5bbcd0154f4">getNumParameters</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a9e61031e506c5d83572b9102222c337a">getNumSpeeds</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#ae97fe1abd31d568cbe373f30f01ed2bb">getNumStates</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a118003166bf132c00a46df562f4a71f9">getNumTimes</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a026933df9c096378be41ac1646d5ec56">getNumValues</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#af78fad8ecb6fd8ee5f513f62f2f1dc53">getParameter</a>(const std::string &amp;name) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a484f1c73613b633da35dbc69384700fc">getParameterNames</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a14b5b99dafd00438ca5a87d3795fd212">getParameters</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#af24961f1eacee9df27e5715b34a8b69b">getSpeedNames</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#af99270bec0b903b667b3cb6fe59e1de8">getSpeedsTrajectory</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#aef1159dec9705a633007b6e3a6499ee8">getState</a>(const std::string &amp;name) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a78a30b43416170f7296617dd68bc58d4">getStateNames</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a7319207b160c8e37e0cfe6b31399abfd">getStatesTrajectory</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a689c88962f4a16ea827c05a2665f9e85">getTime</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a9fcd7b452c86841212ad7f586fddca1a">getValueNames</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#aff62b4cefcabde44a145a9cc616fff68">getValuesTrajectory</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a37cffda03eccefe62c78830ec8e922d4">hasCoordinateStates</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#aac1f1a2bdb612518a9f537be0e89c876">insertControlsTrajectory</a>(const TimeSeriesTable &amp;subsetOfControls, bool overwrite=false)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a40e610f14c121f0d68ac2f71e2ac14d3">insertStatesTrajectory</a>(const TimeSeriesTable &amp;subsetOfStates, bool overwrite=false)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a7116dc57976941028e87fdf80eef5137">isCompatible</a>(const MocoProblemRep &amp;, bool requireAccelerations=false, bool throwOnError=false) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a545c7e58c31d13330f2eaf4bfcb2c3be">isNumericallyEqual</a>(const MocoTrajectory &amp;other, double tol=SimTK::NTraits&lt; SimTK::Real &gt;::getDefaultTolerance()) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#abe404d23552fffaf3cfb08cd8f83fb34">isSealed</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#ac185c061585a892616f1c3867f88a167">MocoTrajectory</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#ad670729cbaafbd3d46837d943f564974">MocoTrajectory</a>(std::vector&lt; std::string &gt; state_names, std::vector&lt; std::string &gt; control_names, std::vector&lt; std::string &gt; multiplier_names, std::vector&lt; std::string &gt; parameter_names)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#ab715fd563cbc56d47d30b0ab4448ce7a">MocoTrajectory</a>(std::vector&lt; std::string &gt; state_names, std::vector&lt; std::string &gt; control_names, std::vector&lt; std::string &gt; multiplier_names, std::vector&lt; std::string &gt; derivative_names, std::vector&lt; std::string &gt; parameter_names)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a03c7d8b010c02c768cd674d389f51d8e">MocoTrajectory</a>(const SimTK::Vector &amp;time, std::vector&lt; std::string &gt; state_names, std::vector&lt; std::string &gt; control_names, std::vector&lt; std::string &gt; multiplier_names, std::vector&lt; std::string &gt; parameter_names, const SimTK::Matrix &amp;statesTrajectory, const SimTK::Matrix &amp;controlsTrajectory, const SimTK::Matrix &amp;multipliersTrajectory, const SimTK::RowVector &amp;parameters)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#af112018a0a5118a7e71c49677844281a">MocoTrajectory</a>(const SimTK::Vector &amp;time, std::vector&lt; std::string &gt; state_names, std::vector&lt; std::string &gt; control_names, std::vector&lt; std::string &gt; multiplier_names, std::vector&lt; std::string &gt; derivative_names, std::vector&lt; std::string &gt; parameter_names, const SimTK::Matrix &amp;statesTrajectory, const SimTK::Matrix &amp;controlsTrajectory, const SimTK::Matrix &amp;multipliersTrajectory, const SimTK::Matrix &amp;derivativesTrajectory, const SimTK::RowVector &amp;parameters)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a99591a5e3317a9af4b6ed6ea16153249">MocoTrajectory</a>(const SimTK::Vector &amp;time, const std::map&lt; std::string, NamesAndData&lt; SimTK::Matrix &gt;&gt; &amp;continuousVars, const NamesAndData&lt; SimTK::RowVector &gt; &amp;parameters={})</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a74fd19a0f7031133becd64292f560964">MocoTrajectory</a>(const std::string &amp;filepath)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">explicit</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a6bfae3758204844e507c6f181ce09102">NamesAndData</a> typedef</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#af4ae73c2a559abfd81261781b1efcf0f">randomizeAdd</a>(const SimTK::Random &amp;randGen=SimTK::Random::Uniform(-0.1, 0.1))</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a2bcc7922d6f6a7e24f317b2acaa1ba22">randomizeReplace</a>(const SimTK::Random &amp;randGen=SimTK::Random::Uniform(-0.1, 0.1))</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a05f7f26faf2a1cd27111edc4f3d31c0f">resample</a>(SimTK::Vector newTime)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a659cdf7a7c2c0e2fe1328118f5c2d7a7">resampleWithFrequency</a>(double desiredNumTimePointsPerSecond)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a1b0d580056bc4f40710a4589b3e920aa">resampleWithInterval</a>(double desiredTimeInterval)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a64edd16a0c603ee4dae7ee9e1a854168">resampleWithNumTimes</a>(int numTimes)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a31076ab2478a4a9cefc49302b60225c4">setControl</a>(const std::string &amp;name, const SimTK::Vector &amp;trajectory)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a8cd831fb113db9d3adbbf1a4b8e4af42">setControl</a>(const std::string &amp;name, std::initializer_list&lt; double &gt; trajectory)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a29b65052465da55ec71be114cf94b5cd">setDerivative</a>(const std::string &amp;name, const SimTK::Vector &amp;trajectory)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#af131ec8d7f33aaa5a5450f674c7fbcf7">setDerivative</a>(const std::string &amp;name, std::initializer_list&lt; double &gt; trajectory)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#adf3daa9cbf2577df13f2b930dc3a6db5">setMultiplier</a>(const std::string &amp;name, const SimTK::Vector &amp;trajectory)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a053c5bfe4432b3fac3189f049dd6711e">setMultiplier</a>(const std::string &amp;name, std::initializer_list&lt; double &gt; trajectory)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#af65c57bff6b3da60bc6f967b9ea5efa4">setNumTimes</a>(int numTimes)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a5c09433360c2e254f934dfdbb331ee4a">setParameter</a>(const std::string &amp;name, const SimTK::Real &amp;value)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#ab07101f00e206995eb9f75ceebcdbb5b">setSealed</a>(bool sealed)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a651acd58abecbaf78457e67ec118d3bf">setState</a>(const std::string &amp;name, const SimTK::Vector &amp;trajectory)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#ae64a9c9174a49feb29a89486af110f0b">setState</a>(const std::string &amp;name, std::initializer_list&lt; double &gt; trajectory)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#aa362630804dc53168d1b27a370d3a8da">setStatesTrajectory</a>(const TimeSeriesTable &amp;states, bool allowMissingColumns=false, bool allowExtraColumns=false)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#acf1d379fbb9d96668631d34a90103441">setTime</a>(const SimTK::Vector &amp;time)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#a3d48c0dc508726046ff551c3d301ff1c">setTime</a>(std::initializer_list&lt; double &gt; time)</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#aaa38e50cea679bea645850ca4b6a548f">write</a>(const std::string &amp;filepath) const</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html#ae5c5e05d8b55c04d581e198cbfbc6805">~MocoTrajectory</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1MocoTrajectory.html">OpenSim::MocoTrajectory</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:26 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
